# hapi-semver-plugin

hapi.js plugin for semver versioned paths

# install

`npm install --save hapi-semver-plugin`

# requirements

`hapi.js 16.x.x`

# How to use

1. attach hapi.js plugin 
```
const VersionPlugin = require('hapi-semver-plugin');
const { version: PackageVersion } = require('.../package.json');

server.register([{
    register: VersionPlugin,
    options: {
      defaultVersion: '*',
      minValidVersion: '1.0.0',
      maxValidVersion: PackageVersion
    }
  }]
```

2. transform all hapi routes
```
const { routesAddVersions } = require('hapi-semver-plugin');
module.exports = routesAddVersions([...<hapi routes list>])
```
